Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.exp.parser
Class ASTNamedParameter

    java.lang.Object
      org.apache.cayenne.exp.Expression
          org.apache.cayenne.exp.parser.SimpleNode
              org.apache.cayenne.exp.parser.ASTScalar
                  org.apache.cayenne.exp.parser.ASTNamedParameter

All Implemented Interfaces:
  Serializable, Node, XMLSerializable

    public class ASTNamedParameter

extends ASTScalar

A named expression parameter.

Since:
  1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.exp.parser.ASTScalar
`value`

Fields inherited from class org.apache.cayenne.exp.parser.SimpleNode
`children, id, parent`

Fields inherited from class org.apache.cayenne.exp.Expression
`ADD, AND, BETWEEN, DB_PATH, DIVIDE, EQUAL_TO, FALSE, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, PRUNED_NODE, SUBTRACT, TRUE, type`

Constructor Summary
`ASTNamedParameter()`
`ASTNamedParameter(Object value)`

Method Summary
`void` | `encodeAsEJBQL(PrintWriter pw, String rootId)` Stores a String representation of Expression as EJBQL using a provided PrintWriter.
`protected Object` | `evaluateNode(Object o)` Evaluates itself with object, pushing result on the stack.
`void` | `setValue(Object value)`
`Expression` | `shallowCopy()` Creates a copy of this expression node, without copying children.

Methods inherited from class org.apache.cayenne.exp.parser.ASTScalar
`encodeAsString, getExpressionOperator, getValue`

Methods inherited from class org.apache.cayenne.exp.parser.SimpleNode
`connectChildren, encodeAsEscapedString, encodeChildrenAsEJBQL, encodeScalarAsString, evaluate, evaluateChild, expName, flattenTree, getEJBQLExpressionOperator, getOperand, getOperandCount, getPathAliases, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, notExp, pruneNodeForPrunedChild, setOperand, unwrapChild, wrapChild`

Methods inherited from class org.apache.cayenne.exp.Expression
`andExp, deepCopy, encodeAsXML, equals, expWithParameters, expWithParameters, filter, filterObjects, fromString, getType, joinExp, match, orExp, setType, toEJBQL, toString, transform, transformExpression, traverse, traverse`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTNamedParameter

    public ASTNamedParameter()

### ASTNamedParameter

    public ASTNamedParameter(Object value)

Method Detail

### evaluateNode

    protected Object evaluateNode(Object o)
                           throws Exception

  Description copied from class: `SimpleNode`
  Evaluates itself with object, pushing result on the stack.

  Overrides:
    `evaluateNode` in class `ASTScalar`
  Throws:
    `Exception`

### shallowCopy

    public Expression shallowCopy()

  Creates a copy of this expression node, without copying children.

  Overrides:
    `shallowCopy` in class `ASTScalar`

### setValue

    public void setValue(Object value)

  Overrides:
    `setValue` in class `ASTScalar`

### encodeAsEJBQL

    public void encodeAsEJBQL(PrintWriter pw,
                              String rootId)

  Description copied from class: `Expression`
  Stores a String representation of Expression as EJBQL using a provided PrintWriter. DB path expressions produce non-standard EJBQL path expressions.

  Overrides:
    `encodeAsEJBQL` in class `ASTScalar`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.